package b4i.anywheresoftware.iPerson;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class b4i_main_subs_0 {


public static RemoteObject  _application_background() throws Exception{
try {
		Debug.PushSubsStack("Application_Background (main) ","main",0,b4i_main.ba,b4i_main.mostCurrent,38);
if (RapidSub.canDelegate("application_background")) return b4i_main.remoteMe.runUserSub(false, "main","application_background");
 BA.debugLineNum = 38;BA.debugLine="Private Sub Application_Background";
Debug.ShouldStop(32);
 BA.debugLineNum = 40;BA.debugLine="End Sub";
Debug.ShouldStop(128);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _application_start(RemoteObject _nav) throws Exception{
try {
		Debug.PushSubsStack("Application_Start (main) ","main",0,b4i_main.ba,b4i_main.mostCurrent,22);
if (RapidSub.canDelegate("application_start")) return b4i_main.remoteMe.runUserSub(false, "main","application_start", _nav);
RemoteObject _p = RemoteObject.declareNull("b4i_person");
Debug.locals.put("Nav", _nav);
 BA.debugLineNum = 22;BA.debugLine="Private Sub Application_Start (Nav As NavigationCo";
Debug.ShouldStop(2097152);
 BA.debugLineNum = 23;BA.debugLine="NavControl = Nav";
Debug.ShouldStop(4194304);
b4i_main._navcontrol = _nav;
 BA.debugLineNum = 24;BA.debugLine="Page1.Initialize(\"Page1\")";
Debug.ShouldStop(8388608);
b4i_main._page1.runVoidMethod ("Initialize::",b4i_main.ba,(Object)(RemoteObject.createImmutable("Page1")));
 BA.debugLineNum = 25;BA.debugLine="Page1.Title = \"Page 1\"";
Debug.ShouldStop(16777216);
b4i_main._page1.runMethod(true,"setTitle:",BA.ObjectToString("Page 1"));
 BA.debugLineNum = 26;BA.debugLine="Page1.RootPanel.Color = Colors.White";
Debug.ShouldStop(33554432);
b4i_main._page1.runMethod(false,"RootPanel").runMethod(true,"setColor:",b4i_main.__c.runMethod(false,"Colors").runMethod(true,"White"));
 BA.debugLineNum = 27;BA.debugLine="NavControl.ShowPage(Page1)";
Debug.ShouldStop(67108864);
b4i_main._navcontrol.runVoidMethod ("ShowPage:",(Object)(((b4i_main._page1).getObject())));
 BA.debugLineNum = 29;BA.debugLine="Private p As Person";
Debug.ShouldStop(268435456);
_p = RemoteObject.createNew("b4i_person");Debug.locals.put("p", _p);
 BA.debugLineNum = 30;BA.debugLine="p.Initialize(\"John\", \"Doe\", DateTime.DateParse(\"0";
Debug.ShouldStop(536870912);
_p.runClassMethod (b4i_person.class, "_initialize::::",b4i_main.ba,(Object)(BA.ObjectToString("John")),(Object)(BA.ObjectToString("Doe")),(Object)(b4i_main.__c.runMethod(false,"DateTime").runMethod(true,"DateParse:",(Object)(RemoteObject.createImmutable("05/12/1970")))));
 BA.debugLineNum = 31;BA.debugLine="Log(p.GetCurrentAge)";
Debug.ShouldStop(1073741824);
b4i_main.__c.runVoidMethod ("Log:",(Object)(BA.NumberToString(_p.runClassMethod (b4i_person.class, "_getcurrentage"))));
 BA.debugLineNum = 32;BA.debugLine="End Sub";
Debug.ShouldStop(-2147483648);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _page1_resize(RemoteObject _width,RemoteObject _height) throws Exception{
try {
		Debug.PushSubsStack("Page1_Resize (main) ","main",0,b4i_main.ba,b4i_main.mostCurrent,34);
if (RapidSub.canDelegate("page1_resize")) return b4i_main.remoteMe.runUserSub(false, "main","page1_resize", _width, _height);
Debug.locals.put("Width", _width);
Debug.locals.put("Height", _height);
 BA.debugLineNum = 34;BA.debugLine="Private Sub Page1_Resize(Width As Int, Height As I";
Debug.ShouldStop(2);
 BA.debugLineNum = 36;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 13;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 16;BA.debugLine="Public App As Application";
b4i_main._app = RemoteObject.createNew("B4IApplicationWrapper");
 //BA.debugLineNum = 17;BA.debugLine="Public NavControl As NavigationController";
b4i_main._navcontrol = RemoteObject.createNew("B4INavigationControllerWrapper");
 //BA.debugLineNum = 18;BA.debugLine="Private Page1 As Page";
b4i_main._page1 = RemoteObject.createNew("B4IPage");
 //BA.debugLineNum = 20;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
}